%define name    xcalib
%define version 0.9.0
%define release %mkrel 1

Name:           %{name}
Version:        %{version} 
Release:        %{release}
Summary:        xcalib is a small application to load profiles for your monitor.
Source0:        %{name}-%{version}.tar.xz 
URL:            https://sourceforge.net/projects/openicc/
Group:          System/Configuration/Hardware
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:        GPL
BuildRequires:	x11-proto-devel libx11-devel libxxf86vm-devel
Autoreqprov:    on

%description
xcalib applies the 'vcgt'-tag of ICC profiles to your X-server
like MS-Windows or MacOS can to set your display to a calibrated state. 
  
Versions 0.5 and higher are also usable with Microsoft Windows. 
They can be used as a free alternative to other calibration loaders.

Authors:
Stefan Doehla



%package profiles
Summary: ICC profiles for testing with xcalib
Group: System/Configuration/Hardware
Requires: xcalib

%description profiles
xcalib profiles are special profiles for use xcalib
Authors:
Stefan Doehla

%prep
%setup
export CFLAGS="$RPM_OPT_FLAGS"

%build
make xcalib

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT/usr
mkdir $RPM_BUILD_ROOT/usr/bin
cp xcalib $RPM_BUILD_ROOT/usr/bin/xcalib
mkdir -p $RPM_BUILD_ROOT%{_datadir}/color/icc/
cp  -v *.icc $RPM_BUILD_ROOT%{_datadir}/color/icc/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root, 0755)
%doc README README.profilers COPYING
%defattr(0755,root,root)
%{_bindir}/xcalib

%files profiles
%defattr(-,root,root)
%{_datadir}/color/icc/bluish.icc
%{_datadir}/color/icc/gamma_1_0.icc
%{_datadir}/color/icc/gamma_2_2_bright.icc
%{_datadir}/color/icc/gamma_2_2.icc
%{_datadir}/color/icc/gamma_2_2_lowContrast.icc
%doc README README.profilers COPYING


%changelog -n 
* Sat Sep 03 2016 woodhead <pp> 0.9.0-1pclos2016
- update

* Sat Aug 01 2009 Texstar <texstar@gmail.com>
- fix rpm group

* Sun Jul 12 2009 MBantz martin dot bantz at gmail dot com
- Built for PCLinuxOS from P. Linnell mrdocs at opensuse dot org

